/* HEADER */
.header {
    position: relative;
    z-index: 100;
}

.body:has(.BIG_BANNER_INDEX .index-block--fon) .header {
    background: var(--darkerblack_bg_black);
}

.bg-light {
    background-color: var(--card_bg_black);
}

.bg-dark {
    background-color: #232323;
}

.bg-glass {
    background-color: var(--light, rgba(178, 189, 222, 0.08)) var(--dark, rgba(0, 0, 0, 0.2));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

/* colors */
/* light */
.theme-dark .bg-light.theme-light {
    --light: var(--OFF_toggle);
    --dark: var(--ON_toggle);
}

@media (prefers-color-scheme: dark) {
    .theme-default .bg-light.theme-light {
        --light: var(--OFF_toggle);
        --dark: var(--ON_toggle);
    }
}

/* dark */
:is(.bg-dark, .bg-theme) .logo .fill-theme-svg {
    fill: #fff;
}

/* none */
.header_opacity div:is(.theme-dark, .bg-none) {
    --stroke_black: var(--light, #d6dbe5) var(--dark, rgba(228, 232, 243, 0.12));
}

.header .bg-none.theme-light {
    --light: var(--ON_toggle);
    --dark: var(--OFF_toggle);
}

/* colored */
header .bg-theme {
    --basic_text_black: #fff;
    --stroke_black: rgba(228, 232, 243, 0.12);
}

.bg-theme .header-cart .header-cart__count,
.bg-theme .icon-block-with-counter .icon-count {
    background-color: #fff;
    color: #333;
}

.fill-ignore {
    fill: currentColor !important;
}

.header_opacity .header__inner {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
}

.header__top-part {
    position: relative;
    z-index: 2;
    display: flex;
    align-items: center;
    height: 44px;
}

.header__main-part {
    /* position: relative; */
    z-index: 1;
    height: 80px;
    display: flex;
    align-items: center;
}

.active>.dark_link {
    color: var(--fill_dark_light_hover);
}

.dropdown {
    box-shadow: 0px 4px 20px 0px rgba(68, 68, 68, 0.12);

    background: #fff;
    background-color: var(--card_bg_black);
    border-radius: 16px;
    border-radius: var(--theme-outer-border-radius, 16px);

    position: absolute;
    top: 100%;
    left: 0;

    padding: 8px;
    margin: 0px;
}

.dropdown--relative {
    position: relative;
}

.dropdown--no-shadow {
    box-shadow: none;
}

.dropdown__link {
    padding: 8px 10px 8px 16px;
    border-radius: 8px;
    display: block;
}

.active>.dropdown__link {
    cursor: default;
    background: var(--darkerblack_bg_black);
    color: var(--white_text_black);
}

.logo {
    max-width: 182px;
    height: 50px;
}

.logo a {
    display: flex;
    align-items: center;
    max-width: 100px;
}

.logo a img {
    max-height: 100%;
    max-width: 100%;
}

.phones {
    display: flex;
    align-items: center;
    position: relative;
}

.phones__inner {
    display: flex;
    align-items: center;
    position: relative;
}

.phones__icon {
    display: none;
    margin-right: 11px;
    margin-top: 1px;
}

.phones--with_icon .phones__icon {
    display: block;
}

.phones__phone-link {
    font-size: calc(1rem - 2px);
    font-weight: 500;
}

.phones__arrow {
    display: none;
    margin-left: 8px;
}

.phones__inner--with_dropdown .phones__arrow {
    display: flex;
}

.phones__dropdown {
    position: absolute;
    top: -16px;
    left: -16px;
    display: none;
}

.phones__dropdown .dropdown {
    z-index: 2;
    padding: 16px;
    min-width: 280px;
}

.phones__inner:hover {
    z-index: 1000;
}

.phones__inner:hover .phones__dropdown {
    display: block;
}

.phones__dropdown .dropdown__item {
    padding: 6px 0px;
}

.phones__dropdown .dropdown__item--first {
    padding-top: 0px;
}

.phones__dropdown .dropdown__item--last {
    padding-bottom: 0px;
}

.phones__dropdown--top {
    bottom: -36px;
    top: auto;
}

.phones__dropdown--top .dropdown {
    display: flex;
    flex-direction: column-reverse;
    gap: 16px;
}

.phones__dropdown--top.phones__dropdown .phones__dropdown-item,
.phones__dropdown--top.phones__dropdown .dropdown__item {
    padding: 0;
    margin: 0;
}

.phones__phone-descript {
    display: block;
    margin-top: -2px;
    font-weight: normal;
}

.phones__dropdown-item {
    margin-top: 16px;
}

.phones__dropdown-title {
    font-size: calc(1rem - 4px);
    line-height: calc(1em + 8px);
}

.phones__dropdown-value {
    color: var(--white_text_black);
}

.phones__phones-wrapper .phones__dropdown.position_block {
    right: -5px;
    left: auto;
}

.header-cabinet__link {
    display: flex;
    align-items: center;
}

.cabinet-dropdown {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;
    position: absolute;
    top: 100%;
    padding-top: 9px;
    left: -32px;
}

.cabinet-dropdown--top {
    top: auto;
    bottom: 100%;
    padding-top: 0px;
    padding-bottom: 12px;
}

.cabinet-dropdown .dropdown {
    width: 190px;
}

.header-cabinet:hover .cabinet-dropdown {
    opacity: 1;
    visibility: visible;
}

.header-cart__count,
.icon-count {
    position: absolute;
    top: -4px;
    right: -6px;
    /* transform: translate(46%, -60%); */
    color: #fff;
    font-size: 11px;
    border-radius: 10px;
    text-align: center;
    line-height: 16px;
    min-width: 16px;
    padding: 0 4px;
    background-color: #49b822;
    z-index: 1;
}

.header-cart__inner--empty .header-cart__count,
.icon-count {
    display: none;
}

.icon-block-with-counter--count .icon-count {
    display: block;
}

.hide-basket-message .header-cart__name {
    display: none;
}

.slogan__text {
    max-width: 250px;
}

.more-arrow {
    display: flex;
    margin-left: 6px;
}

/*hide page scroll*/
.header:not(:hover) .header-menu:not(.header-menu--column) {
    overflow: hidden;
}